// (c) COPYRIGHT MIT, INRIA and Keio, 2007 and onwards.
// Please first read the full copyright statement in file COPYRIGHT.html

package org.w3c.mwi.mobileok.basic;

/**
 * An exception thrown when an internal, unexpected testing error is encountered. For
 * example it might be thrown if the XML parser is misconfigured, but <em>not</em> if the
 * XML parser can't parse a page; this would merely be a test failure.
 */
public final class TestException extends Exception {

	public TestException(final String message) {
		super(message);
	}

	public TestException(final Throwable cause) {
		super(cause);
	}

	public TestException(final String message, final Throwable cause) {
		super(message, cause);
	}

}
